Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.rcp
Interface RemoteAuthenticationManager

All Known Implementing Classes:
  RemoteAuthenticationManagerImpl

    public interface RemoteAuthenticationManager

Allows remote clients to attempt authentication.

Version:
  $Id: RemoteAuthenticationManager.java,v 1.2 2005/11/17 00:55:51 benalex Exp $
Author:
  Ben Alex

Method Summary
`GrantedAuthority[]` | `attemptAuthentication(String username, String password)` Attempts to authenticate the remote client using the presented username and password.

Method Detail

### attemptAuthentication

    GrantedAuthority[] attemptAuthentication(String username,
                                             String password)
                                             throws RemoteAuthenticationException

  Attempts to authenticate the remote client using the presented username and password. If authentication is successful, an array of `GrantedAuthority[]` objects will be returned.

  In order to maximise remoting protocol compatibility, a design decision was taken to operate with minimal arguments and return only the minimal amount information required for remote clients to enable/disable relevant user interface commands etc. There is nothing preventing users from implementing their own equivalent package that works with more complex object types.

  Parameters:
    `username` - the username the remote client wishes to authenticate with
    `password` - the password the remote client wishes to authenticate wish
  Returns:
    all of the granted authorities the specified username and password have access to
  Throws:
    `RemoteAuthenticationException` - if the authentication failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.